import chalk from 'chalk';
import { relative } from '../util/path.js';
export const logTitle = (title, count) => console.log(`${chalk.bold.yellow.underline(title)} (${count})`);
export const logIssueLine = ({ owner, filePath, symbols, parentSymbol }) => {
    const symbol = symbols ? `: ${symbols.join(', ')}` : '';
    const parent = parentSymbol ? ` (${parentSymbol})` : '';
    console.log(`${owner ? `${chalk.cyan(owner)} ` : ''}${relative(filePath)}${symbol}${parent}`);
};
export const logIssueSet = (issues) => {
    issues.sort().forEach(value => console.log(value.startsWith('/') ? relative(value) : value));
};
